- Main Page
- Namespaces
- Classes
- Files
- Related Pages

- Search for |

- Alphabetical List
- Class List
- Class Hierarchy
- Class Members

# TAO_Connect_Creation_Strategy< SVC_HANDLER > Class Template Reference

Creation strategy helper. More...

`#include <Connector_Impl.h>`

Inheritance diagram for TAO_Connect_Creation_Strategy< SVC_HANDLER >:

[legend]
Collaboration diagram for TAO_Connect_Creation_Strategy< SVC_HANDLER >:

[legend]
List of all members.

## Public Member Functions
| TAO_Connect_Creation_Strategy (ACE_Thread_Manager *=0, TAO_ORB_Core *orb_core=0, CORBA::Boolean flag=0)
| Constructor.
virtual int | make_svc_handler (SVC_HANDLER *&sh)
| Makes TAO_*_Client_Connection_Handlers.
## Private Attributes
TAO_ORB_Core *const | orb_core_
| Pointer to the ORB_Core on which we are activated.
CORBA::Boolean const | lite_flag_
| Are we using GIOP lite?

## Detailed Description

### template<class SVC_HANDLER>
class TAO_Connect_Creation_Strategy< SVC_HANDLER >

Creation strategy helper.

Creates the TAO_*_Connection_Handler object for the TAO_*_Connector objects. This template class can now be used by all the Connector objects instead of having to duplicate code. This class can be used to set any required properties on the connection handlers at creation time.

## Constructor & Destructor Documentation

template<class SVC_HANDLER>

TAO_BEGIN_VERSIONED_NAMESPACE_DECL TAO_Connect_Creation_Strategy< SVC_HANDLER >::TAO_Connect_Creation_Strategy | ( | ACE_Thread_Manager * | = `0`,
|  | TAO_ORB_Core * | orb_core = `0`,
|  | CORBA::Boolean | flag = `0` |
| ) |  |  |

Constructor.

## Member Function Documentation

template<class SVC_HANDLER>

int TAO_Connect_Creation_Strategy< SVC_HANDLER >::make_svc_handler | ( | SVC_HANDLER *& | sh | ) | `[virtual]`

Makes TAO_*_Client_Connection_Handlers.

Reimplemented from ACE_Creation_Strategy< SVC_HANDLER >.

## Member Data Documentation

template<class SVC_HANDLER>

CORBA::Boolean const TAO_Connect_Creation_Strategy< SVC_HANDLER >::lite_flag_`[private]`

Are we using GIOP lite?

template<class SVC_HANDLER>

TAO_ORB_Core* const TAO_Connect_Creation_Strategy< SVC_HANDLER >::orb_core_`[private]`

Pointer to the ORB_Core on which we are activated.

The documentation for this class was generated from the following files:

- Connector_Impl.h
- Connector_Impl.cpp